<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterAgendamentosAtendimentosAddFkServicoAtendimentoId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('agendamentos_atendimentos', function (Blueprint $table) {
            $table->bigInteger('servico_atendimento_id')->nullable();
            $table->foreign('servico_atendimento_id')
                    ->references('id')
                    ->on('servicos_atendimento');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('agendamentos_atendimentos', function (Blueprint $table) {
            $table->dropColumn('servico_atendimento_id');
        });
    }
}
